Versão 4.11

Sistemas operacionais compatíveis

O Google Cloud Migrate for Compute Engine (antigo Velostrata) é compatível com a migração de VMs que executam sistemas operacionais na tabela a seguir.

Antes de migrar as VMs do Linux para o Google Cloud, você precisa instalar um pacote adicional que execute as reconfigurações. Para mais informações, consulte Como preparar VMs do Linux.

Alguns SOs de VM são compatíveis apenas com a migração off-line. Na migração off-line, os volumes de disco são copiados diretamente para o Google Cloud, e os dados de streaming não são compatíveis. Para mais informações, consulte Como usar a migração off-line.

SO Versão VMware (BIOS) VMware (EFI) VMware (EFI with Secure Boot) AWS Azure (BIOS) Gen1/2 Azure (EFI) Gen2 Comentários
AWS Linux Amazon Linux NA NA NA Sim NA NA Somente migração off-line. Consulte Como preparar VMs do Linux para mais. As VMs do Amazon Linux são migradas da melhor maneira possível, sem suporte pós-migração do Google Cloud.
CentOS 6.4+ Sim Não Não Sim Sim Não

Requer a versão 2.6.32-754 ou posterior do kernel antes da migração.

Requer dhclient-4.1-1-63.P1.0.1.el6_10 ou posterior.

7.X Sim Sim* Sim* Sim Sim Sim*  
8.0 Sim Sim* Sim* Sim Não Não  
Debian 8.5+ Sim Não Não Sim Sim Não  
9 Sim Não Não Sim Sim Não  
Oracle Linux 6.4-6.10 Sim Não Não Não Não Não

Requer a versão 2.6.32-754 ou posterior do kernel antes da migração.

Requer dhclient-4.1-1-63.P1.0.1.el6_10 ou posterior.

7.0-7.9 Sim Sim* Sim* Não Não Não  
8.0-8.3 Sim Sim* Sim* Não Não Não  
RHEL 6.4+ Sim Não Não Sim Sim Não

Requer a versão 2.6.32-754 ou posterior do kernel antes da migração.

Requer dhclient-4.1-1-63.P1.0.1.el6_10 ou posterior.

7.X Sim Sim* Sim* Sim Sim Sim*  
8.0 Sim Sim* Sim* Sim Sim Sim*  
SUSE 11 SP3+ Sim NA NA NA NA NA  
12 SP2 Sim NA NA NA NA NA  
12 SP3 Sim Sim* Sim* Sim Sim Sim*  
12 SP4 Sim Sim* Sim* Sim Sim Sim*

Para o Azure: devido à ausência de dependências na compilação your-kernel-version-azure do kernel, uma atualização para your-kernel-version -default é necessária antes da migração

15 Sim Sim* Sim* Sim Não Sim*  
Ubuntu 12.04 Sim NA NA NA NA NA Somente migração off-line
14.04.x LTS Sim Não Não Sim Sim Não Requer a versão 3.13.0-170 ou superior do kernel para migração on-line
16.04.x LTS Sim Não Não Sim Sim Não  
18.04.x LTS Sim Sim* Sim* Sim Sim Sim*  
Windows Server 2003 SP2 Sim NA NA NA NA NA Somente migração off-line
2003 R2 Sim NA NA NA NA NA Somente migração off-line
2008 R1 (64 bits) Sim NA NA NA NA NA Somente migração off-line
2008 R2 (SP1 or higher) Sim Sim* NA Sim Sim Sim*  
2012/2012 R2 Sim Sim* Sim* Sim Sim Sim* 2012 (não R2) não é compatível com o agente VSS do Google. Consulte a documentação do ambiente convidado do Google.
2016 Sim Sim* Sim* Sim Sim Sim*  
2019 Sim Sim* Sim* Sim Sim Sim*  
* Somente migração on-line (a migração off-line não é compatível).